Subject: Re: bug#24422: Proposal to create `sieve-manage-ignore-broken-tls' option

From: Ted Zlatanov <[email-masked]>
Date: Tue, 13 Sep 2016 09:21:48 -0400

On Tue, 13 Sep 2016 08:08:37 +0900 Katsumi Yamaoka <[email-masked]> wrote: 

KY> On Mon, 12 Sep 2016 15:57:24 -0400, TSUCHIYA Masatoshi wrote:
>> When accessing a managesieve server which provides broken TLS
>> connections, it is quite useful that sieve-manage-open-server() ignores
>> STARTTLS capability.  Therefore, I propose the following patch.

KY> The patch looks fine and not likely to cause a trouble.  I've
KY> committed it in the Emacs master with this log entry:

KY> sieve-manage.el: Allow user to avoid STARTTLS capability test (bug#24422)

KY> * lisp/net/sieve-manage.el
KY> (sieve-manage-ignore-broken-tls): New user option.
KY> (sieve-manage-open-server):
KY> Don't test STARTTLS capability if the option is set (bug#24422).

I think the option is badly named. It doesn't ignore broken TLS
(whatever that means), it avoids STARTTLS altogether. So maybe it should
be `sieve-manage-ignore-starttls' or something like that.

Ted